function getLanguage(){
	var lang = "en";
	try{
		lang = servers.getLanguage();
	}catch(e){
		lang = "en";
	}
	return lang;	
}

function getAllMap(){
	var backJson = servers.getAllMap();
	var backArray = eval("("+backJson+")").array;
	return backArray?backArray:new Array();
}

function updateMap(jsonStr){
	jsonStr="{\"array\":["+jsonStr+"]}";
	return servers.updateMap(jsonStr);
}

function deleteMap(jsonStr){
	jsonStr="{\"array\":["+jsonStr+"]}";
	return servers.deleteMap(jsonStr);
}

function addMap(jsonStr){
	jsonStr="{\"array\":["+jsonStr+"]}";
	return servers.addMap(jsonStr);
}

function updateDeviceLocation(jsonStr){
	jsonStr="{\"array\":"+jsonStr+"}";
	return servers.updateDeviceLocation(jsonStr);
}

function getAllGisChannels (){
	var backJson = servers.getAllGisChannels();
	var backArray = eval("("+backJson+")").array;
	return backArray?backArray:new Array();
} 

function getTreeData(){
	var backJson = servers.getTreeData();
	var backArray = eval("("+backJson+")").array;
	return backArray;
}

function openViewFile(){
	return servers.openViewFile();
}

function getGisChannel(jsonStr){
	jsonStr="{\"array\":"+jsonStr+"}";
	return servers.getGisChannel(jsonStr);
}

function getEmapImagePath(){
	return servers.getEmapImagePath();
}

function copyMap(jsonStr){
	jsonStr="{\"array\":["+jsonStr+"]}";
	return servers.copyMap(jsonStr);
}

function delMapByPath(jsonStr){
	jsonStr="{\"array\":["+jsonStr+"]}";
	return servers.delMapByPath(jsonStr);
}

/**
 * 初始化方法
 * @return
 */
function initComplete(){
	servers.initComplete();
}

/**
 * 打开实时视频
 * @param jsonStr
 */
function openVedio(jsonStr){
	jsonStr="{\"array\":"+jsonStr+"}";
	servers.openVedio(jsonStr);
}

/**
 * 关闭打开的所有视频
 * @param jsonStr
 */
function closeAllVedio(){
	servers.closeAllVedio();
}

/**
 * 关闭指定视频
 * @param jsonStr
 */
function closeVedio(jsonStr){
	jsonStr="{\"array\":["+jsonStr+"]}";
	servers.closeVedio(jsonStr);
}

/*=======================================================*/
/*==========以下方法为ocx控件调用电子地图的js方法==========*/
/*=======================================================*/
/**
 * 设备权限变更通知
 * @param json 字符串
 */
function devRightChange(json){

}

/**
 * 设备状态改变通知
 * @param json 字符串
 */
function devStateChange(json){

}

/**
 *设备信息改变通知
 *  @param json 字符串
 */
function devInfoChange(json){

}

/**
 * 报警通知
 * @param json 字符串
 */
function alarmMessage(json){
	var info = eval('('+json+')').array;
	if(main_ctrl){
		main_ctrl.devAlert(info[0].alarmId);
	}
}

/**
 * 设备树刷新通知
 */
function treeDataRefresh(){
	if(main_ctrl){
		main_ctrl.devAndTreeRefresh();
	}
}